For the complete documentation index, see llms.txt. This page is also available as Markdown.

Districts

List districts (the caller district only)

get
Required scopes
This endpoint requires the following scopes:
  • : Read the district
Authorizations
OAuth2clientCredentialsRequired

OAuth 2.0 Client Credentials. Exchange your client_id/client_secret at the token URL for a short-lived Bearer token, then call the API with it.

Token URL:
Responses
200

returns the caller district

application/json
dataobject[]Optional
metaobjectOptional
linksobjectOptional
get/api/v2/districts
GET /api/v2/districts HTTP/1.1
Host: api.masteryconnect.com
Authorization: Bearer YOUR_OAUTH2_TOKEN
Accept: */*
{
  "data": [
    {}
  ],
  "meta": {},
  "links": {}
}

Fetch a district

get
Required scopes
This endpoint requires the following scopes:
  • : Read the district
Authorizations
OAuth2clientCredentialsRequired

OAuth 2.0 Client Credentials. Exchange your client_id/client_secret at the token URL for a short-lived Bearer token, then call the API with it.

Token URL:
Path parameters
idintegerRequired
Responses
200

the caller district

application/json
dataobjectOptional
get/api/v2/districts/{id}
GET /api/v2/districts/{id} HTTP/1.1
Host: api.masteryconnect.com
Authorization: Bearer YOUR_OAUTH2_TOKEN
Accept: */*
{
  "data": {}
}

Last updated

Was this helpful?